
CoCoALib - Design #1691

Random and threadsafe?

05 Aug 2022 12:13 - John Abbott

Status: New Start date: 05 Aug 2022

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Safety Estimated time: 0.00 hour

Target version: CoCoALib-0.99900 Spent time: 0.10 hour

Description

Random fns should also accept a random source so they can be used in a multi-threaded program.

History

#1 - 05 Aug 2022 12:22 - John Abbott

Alternative: create a version "threadsae: which uses a mutex/lock... might be slow, but should be safe.

#2 - 15 Feb 2024 22:38 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99900
